package com.thinkgem.jeesite.modules.user.bean;

import com.thinkgem.jeesite.common.baseBean.Request;

import java.util.List;

public class UserRequest extends Request {
    private String mobile; // 电话号码
    private String password; // 密码
    private String newPassword; // 新密码 用于注册功能、忘记密码功能、修改密码功能
    private String recommendedMobile; // 推荐人手机号
    private String identityCode; // 验证码
    private String function; // 获取验证码的功能 1注册 2验证码登录 3忘记密码/修改密码 4实名认证 5添加储蓄卡 6添加信用卡
    private String cardType; // 银行卡类型 D储蓄卡 C信用卡
    private List<String> cardCodes; // 银行卡code
    private String cardNo; // 卡号
    private String cardMobile; // 预留手机号
    private String belongBank; // 所属银行
    private String cardBank; // 开户支行
    private String cardPlace; // 开户地址
    private String province; // 省
    private String city; // 市
    private String feedback; // 反馈意见
    private String realName; // 真实姓名
    private String idCard; // 身份证号
    private String idCardPlace; // 身份证地址
    private String idCardFront; // 身份证正面
    private String idCardBack; // 身份证反面
    private String idCardHold; // 手持身份证
    private String debitCard; // 结算卡正面
    private String cardSrc; // 银行卡正面
    private String type; // 省市类型 P省 C市
    private String pid; // 父级id
    private String debitCardCode; // 结算卡code

    private String avatar;

    private String nickname;

    private String level;



    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getNewPassword() {
        return newPassword;
    }

    public void setNewPassword(String newPassword) {
        this.newPassword = newPassword;
    }

    public String getRecommendedMobile() {
        return recommendedMobile;
    }

    public void setRecommendedMobile(String recommendedMobile) {
        this.recommendedMobile = recommendedMobile;
    }

    public String getIdentityCode() {
        return identityCode;
    }

    public void setIdentityCode(String identityCode) {
        this.identityCode = identityCode;
    }

    public String getFunction() {
        return function;
    }

    public void setFunction(String function) {
        this.function = function;
    }

    public String getCardType() {
        return cardType;
    }

    public void setCardType(String cardType) {
        this.cardType = cardType;
    }

    public List<String> getCardCodes() {
        return cardCodes;
    }

    public void setCardCodes(List<String> cardCodes) {
        this.cardCodes = cardCodes;
    }

    public String getCardNo() {
        return cardNo;
    }

    public void setCardNo(String cardNo) {
        this.cardNo = cardNo;
    }

    public String getCardMobile() {
        return cardMobile;
    }

    public void setCardMobile(String cardMobile) {
        this.cardMobile = cardMobile;
    }

    public String getBelongBank() {
        return belongBank;
    }

    public void setBelongBank(String belongBank) {
        this.belongBank = belongBank;
    }

    public String getCardBank() {
        return cardBank;
    }

    public void setCardBank(String cardBank) {
        this.cardBank = cardBank;
    }

    public String getCardPlace() {
        return cardPlace;
    }

    public void setCardPlace(String cardPlace) {
        this.cardPlace = cardPlace;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getFeedback() {
        return feedback;
    }

    public void setFeedback(String feedback) {
        this.feedback = feedback;
    }

    public String getRealName() {
        return realName;
    }

    public void setRealName(String realName) {
        this.realName = realName;
    }

    public String getIdCard() {
        return idCard;
    }

    public void setIdCard(String idCard) {
        this.idCard = idCard;
    }

    public String getIdCardPlace() {
        return idCardPlace;
    }

    public void setIdCardPlace(String idCardPlace) {
        this.idCardPlace = idCardPlace;
    }

    public String getIdCardFront() {
        return idCardFront;
    }

    public void setIdCardFront(String idCardFront) {
        this.idCardFront = idCardFront;
    }

    public String getIdCardBack() {
        return idCardBack;
    }

    public void setIdCardBack(String idCardBack) {
        this.idCardBack = idCardBack;
    }

    public String getIdCardHold() {
        return idCardHold;
    }

    public void setIdCardHold(String idCardHold) {
        this.idCardHold = idCardHold;
    }

    public String getDebitCard() {
        return debitCard;
    }

    public void setDebitCard(String debitCard) {
        this.debitCard = debitCard;
    }

    public String getCardSrc() {
        return cardSrc;
    }

    public void setCardSrc(String cardSrc) {
        this.cardSrc = cardSrc;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getPid() {
        return pid;
    }

    public void setPid(String pid) {
        this.pid = pid;
    }

    public String getDebitCardCode() {
        return debitCardCode;
    }

    public void setDebitCardCode(String debitCardCode) {
        this.debitCardCode = debitCardCode;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public String getNickname() {
        return nickname;
    }

    public void setNickname(String nickname) {
        this.nickname = nickname;
    }

    public String getLevel() {
        return level;
    }

    public void setLevel(String level) {
        this.level = level;
    }
}
